(*|  0:07 19/11/1997 *)
PROGRAM SBTest;

USES Crt, Dos, BWDrive;

FUNCTION DetectOPL2: Boolean;
VAR
  S1, S2: Byte;
BEGIN
  TimerControl($60);
  TimerControl($80);
  S1 := StatusRegister AND $E0;
  SetTimer1($FF);
  TimerControl($21);
  Delay(1);
  S2 := StatusRegister AND $E0;
  TimerControl($60);
  TimerControl($80);
  DetectOPL2 := ((S1 = $00) AND (S2 = $C0));
END;

FUNCTION DetectOPL3: Boolean;
BEGIN
  DetectOPL3 := ((StatusRegister AND $06) = 0);
END;


BEGIN
  Writeln('SBTest, v1.0');
  Writeln('Blaster Env = ', GetEnv('BLASTER'));
  IF NOT DetectOPL2 THEN
    Writeln('No OPL2 detected')
  ELSE BEGIN
    IF NOT DetectOPL3 THEN
      Writeln('No OPL3 detected');
    NoteOn(1, 3, 3);
    Delay(500);
    NoteOff(1, 3, 3);
  END;
END.

